Subject: bug#47806: 28.0.50; `make-frame` frame should probably clone the `environment` parameter into the new frame

From: Thibault Polge <[email-masked]>
Date: Thu, 15 Apr 2021 20:28:59 +0200

Hello,

Frames created by `emacsclient` get a copy of the caller's environment
variables in the `environment` frame property.  But frames created from
other frames (with C-x 5 2, `make-frame`, `make-frame-command`, and so
on) don't get a copy of those variables (they don't have an
`environment` frame parameter at all). I believe they should.

My use case is talking to the WM, and without this parameter I believe
it's impossible to distinguish between, eg, frames managed by different
X servers on the same daemon.

FWIW, I'm running Emacs from revision
738266240dc1a19911770bf676330aa72352da79 (from April 6th) built with the
Lucid toolkit.

Best regards,
Thibault